# Uses of Class
java.util.zip.ZipException

Packages that use ZipException
Package
Description
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

## Uses of ZipException in java.util.jar

Subclasses of ZipException in java.util.jar
Modifier and Type
Class
Description
`class`
`JarException`
Signals that an error of some sort has occurred while reading from or writing to a JAR file.

## Uses of ZipException in java.util.zip

Constructors in java.util.zip that throw ZipException
Modifier
Constructor
Description
``
`ZipFile(File file)`
Opens a ZIP file for reading given the specified File object.